Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

Body

application/json
branch
string

specify the branch to use

Example:

"my-feature-branch"

q
string

Specify a query to find translations by content (including wildcards).

Note: Search is limited to 10000 results and may not include recently updated data (depending on the project size).

The following qualifiers are supported in the query:

  • id:translation_id,... for queries on a comma-separated list of ids
  • tags:XYZ for tags on the translation
  • unverified:{true|false} for verification status
  • excluded:{true|false} for exclusion status
  • updated_at:{>=|<=}2013-02-21T00:00:00Z for date range queries

Find more examples here.

Example:

"PhraseApp*%20verified:true%20tags:feature,center"

sort
string

Sort criteria. Can be one of: key_name, created_at, updated_at.

Example:

"updated_at"

order
string

Order direction. Can be one of: asc, desc.

Example:

"desc"

Response

OK

records_affected
integer